Bug 1161290 - heat-cfntools should not depend on yum
Summary: heat-cfntools should not depend on yum
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: heat-cfntools
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ryan Brown
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1162706 1163351
TreeView+ depends on / blocked
 
Reported: 2014-11-06 20:30 UTC by Colin Walters
Modified: 2014-12-13 09:39 UTC (History)
4 users (show)

Fixed In Version: heat-cfntools-1.2.8-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1162706 (view as bug list)
Environment:
Last Closed: 2014-11-22 12:44:04 UTC
Type: Bug


Attachments (Terms of Use)
0001-Remove-yum-dependency-as-it-should-not-be-installed-.patch (1.89 KB, patch)
2014-11-06 20:30 UTC, Colin Walters
no flags Details | Diff

Description Colin Walters 2014-11-06 20:30:57 UTC
Created attachment 954648 [details]
0001-Remove-yum-dependency-as-it-should-not-be-installed-.patch

This is a follow up to https://bugzilla.redhat.com/show_bug.cgi?id=1130964

Subject: [PATCH] Remove yum dependency, as it should not be installed by
 default on

  Atomic hosts, and anyone who constructs a system without it was
  clearly intending to do so.

  In the big picture, it does not make really make sense for
  heat-cfntools to wrap every system package manager and programming
  language installer.
---
 heat-cfntools.spec | 16 ++++++++++++++--
 1 file changed, 14 insertions(+), 2 deletions(-)

Comment 1 Fedora Update System 2014-11-11 13:43:23 UTC
heat-cfntools-1.2.8-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/heat-cfntools-1.2.8-2.fc21

Comment 2 Fedora Update System 2014-11-11 13:46:25 UTC
heat-cfntools-1.2.6-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/heat-cfntools-1.2.6-5.fc20

Comment 3 lnie 2014-11-12 03:37:45 UTC
heat-cfntools-1.2.6-5.fc20 works

Comment 4 Fedora Update System 2014-11-13 18:13:10 UTC
Package heat-cfntools-1.2.8-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing heat-cfntools-1.2.8-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-14890/heat-cfntools-1.2.8-2.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-11-22 12:44:04 UTC
heat-cfntools-1.2.6-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-12-13 09:39:19 UTC
heat-cfntools-1.2.8-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.